Index: c/src/lib/libbsp/i386/force386/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/force386/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/i386/force386/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/i386/i386ex/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/i386/pc386/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/pc386/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/i386/pc386/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/i960/cvme961/bsp_specs
===================================================================
--- c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e _start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e _start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/dmv152/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/efi332/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/efi68k/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/gen68302/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/gen68360/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/idp/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/idp/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/idp/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/mvme136/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/mvme147/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/mvme147s/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/mvme162/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/m68k/ods68302/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/m68k/ods68302/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/mips/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips/p4000/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/mips/p4000/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/mips64orion/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/powerpc/papyrus/bsp_specs
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -u __vectors -u download_entry -N -T linkcmds%s}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -u __vectors -u download_entry -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
Index: c/src/lib/libbsp/sparc/erc32/bsp_specs
===================================================================
--- c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision d637822384d160044af7f3baf2b532c3036685a9)
+++ c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision f7fa7d76ce4f428fe813d5cccb24f19c2f10f949)
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -T linkcmds%s -e start}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
 
